<ng-container *ngIf="user">
  <div class="flex flex-nowrap flex-col-reverse lg:flex-row">
    <div
      class="flex mt-6 lg:mt-10 w-full lg:w-[255px] px-2 justify-center lg:justify-around"
    >
      <app-container-icon
        [icon]="'/assets/images/money.webp'"
        [value]="user.gold"
        class="mr-8 lg:mr-0"
      ></app-container-icon>
      <app-container-icon
        [icon]="'/assets/images/power.webp'"
        [value]="user.power"
      ></app-container-icon>
    </div>

    <div class="relative ml-4 lg:ml-auto mr-4 lg:mr-20">
      <img
        src="/assets/images/title.webp"
        class="m-auto"
        alt=""
        draggable="false"
      />
      <h1
        class="absolute text-xl text-white font-bold left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2 lg:mt-[-6px] shadow-title"
      >
        <app-army-name [user]="user"></app-army-name>
      </h1>
    </div>
  </div>

  <div class="flex items-center lg:items-start flex-col lg:flex-row">
    <div class="flex mt-2 mb-6 lg:mb-0 lg:w-[255px] items-center flex-col">
      <app-troopers-block
        [troopers]="user.troopers"
        [context]="isOwner ? 'globalOwner' : 'global'"
      ></app-troopers-block>

      <app-container-history
        class="hidden lg:block"
        [user]="user"
      ></app-container-history>
    </div>

    <div
      class="grid grid-cols-1 lg:grid-cols-2 auto-rows-min gap-x-5 gap-y-6 mt-2"
    >
      <app-today-fight
        [type]="'fight'"
        [user]="user"
        [isOwner]="isOwner"
      ></app-today-fight>
      <div class="relative">
        <app-today-fight
          [type]="'mission'"
          [user]="user"
          [isOwner]="isOwner"
        ></app-today-fight>
        <div class="overlay-disable"></div>
      </div>
      <div class="relative">
        <app-today-fight [type]="'raid'"></app-today-fight>
        <div class="overlay-disable"></div>
      </div>

      <app-container-ad
        [image]="ad1.image"
        [link]="ad1.link"
      ></app-container-ad>
      <app-container-referral *ngIf="isOwner"></app-container-referral>
      <div *ngIf="!isOwner"></div>
      <app-container-ad
        [image]="ad2.image"
        [link]="ad2.link"
      ></app-container-ad>
    </div>
  </div>
</ng-container>
